'use strict';

module.exports = {
  up: async (queryInterface, Sequelize) => {
    await queryInterface.bulkInsert(
      'Cryptos',
      [
        {
          id_api: 'bitcoin',
          name: 'Bitcoin',
          current_price_eur: '0.00',
          current_price_usd: '0.00',
          is_active: true,
          createdAt: new Date(),
          updatedAt: new Date(),
        },
        {
          id_api: 'ethereum',
          name: 'Ethereum',
          current_price_eur: '0.00',
          current_price_usd: '0.00',
          is_active: true,
          createdAt: new Date(),
          updatedAt: new Date(),
        },
        {
          id_api: 'ripple',
          name: 'XRP',
          current_price_eur: '0.00',
          current_price_usd: '0.00',
          is_active: true,
          createdAt: new Date(),
          updatedAt: new Date(),
        },
        {
          id_api: 'litecoin',
          name: 'Litecoin',
          current_price_eur: '0.00',
          current_price_usd: '0.00',
          is_active: true,
          createdAt: new Date(),
          updatedAt: new Date(),
        },
        {
          id_api: 'tether',
          name: 'Tether',
          current_price_eur: '0.00',
          current_price_usd: '0.00',
          is_active: true,
          createdAt: new Date(),
          updatedAt: new Date(),
        },
        {
          id_api: 'chainlink',
          name: 'Chainlink',
          current_price_eur: '0.00',
          current_price_usd: '0.00',
          is_active: true,
          createdAt: new Date(),
          updatedAt: new Date(),
        },
        {
          id_api: 'polkadot',
          name: 'Polkadot',
          current_price_eur: '0.00',
          current_price_usd: '0.00',
          is_active: true,
          createdAt: new Date(),
          updatedAt: new Date(),
        },
        {
          id_api: 'cardano',
          name: 'Cardano',
          current_price_eur: '0.00',
          current_price_usd: '0.00',
          is_active: true,
          createdAt: new Date(),
          updatedAt: new Date(),
        },
        {
          id_api: 'binancecoin',
          name: 'Binance Coin',
          current_price_eur: '0.00',
          current_price_usd: '0.00',
          is_active: true,
          createdAt: new Date(),
          updatedAt: new Date(),
        },
        {
          id_api: 'stellar',
          name: 'Stellar',
          current_price_eur: '0.00',
          current_price_usd: '0.00',
          is_active: true,
          createdAt: new Date(),
          updatedAt: new Date(),
        },
        {
          id_api: 'eos',
          name: 'EOS',
          current_price_eur: '0.00',
          current_price_usd: '0.00',
          is_active: true,
          createdAt: new Date(),
          updatedAt: new Date(),
        },
        {
          id_api: 'monero',
          name: 'Monero',
          current_price_eur: '0.00',
          current_price_usd: '0.00',
          is_active: true,
          createdAt: new Date(),
          updatedAt: new Date(),
        },
        {
          id_api: 'dogecoin',
          name: 'Dogecoin',
          current_price_eur: '0.00',
          current_price_usd: '0.00',
          is_active: true,
          createdAt: new Date(),
          updatedAt: new Date(),
        },
        {
          id_api: 'tron',
          name: 'TRON',
          current_price_eur: '0.00',
          current_price_usd: '0.00',
          is_active: true,
          createdAt: new Date(),
          updatedAt: new Date(),
        },
        {
          id_api: 'tezos',
          name: 'Tezos',
          current_price_eur: '0.00',
          current_price_usd: '0.00',
          is_active: true,
          createdAt: new Date(),
          updatedAt: new Date(),
        },
        {
          id_api: 'cdai',
          name: 'cDAI',
          current_price_eur: '0.00',
          current_price_usd: '0.00',
          is_active: true,
          createdAt: new Date(),
          updatedAt: new Date(),
        },
      ],
      {}
    );
  },

  down: async (queryInterface, Sequelize) => {
    await queryInterface.bulkDelete('UserCrypto', null, {});
    await queryInterface.bulkDelete('Cryptos', null, {});
  },
};
